/*
 * @author Venkat Subramaniam
 * DuraSoft, Inc.
 * http://www.durasoftcorp.com/download
 */

using System;

namespace IDisposable
{
	public class Sample : System.IDisposable
	{
		private string name;

		public Sample(string objName)
		{
			name = objName;
		}

		#region Implementation of IDisposable
		public void Dispose()
		{
			Console.WriteLine("Here is where I would dispose any resources used by " + name);
			GC.SuppressFinalize(this);
		}
		#endregion

		~Sample()
		{
			Console.WriteLine("Finalize called on " + name);
		}
	}
}
